i2o_msg_get
Prev | I2O message devices | Next

## Name

i2o_msg_get — obtain an I2O message from the IOP

## Synopsis

`struct i2o_message * i2o_msg_get (` | struct i2o_controller * | c`)`;

## Arguments

`c`

  I2O controller

## Description

This function tries to get a message frame. If no message frame is available do not wait until one is availabe (see also i2o_msg_get_wait). The returned pointer to the message frame is not in I/O memory, it is allocated from a mempool. But because a MFA is allocated from the controller too it is guaranteed that `i2o_msg_post` will never fail.

On a success a pointer to the message frame is returned. If the message queue is empty -EBUSY is returned and if no memory is available -ENOMEM is returned.

Prev | Up | Next
i2o_msg_in_to_virt | Home | i2o_msg_post